Wireless hotkey breaks mac80211 module

Bug #974371 reported by Hélio Nunes on 2012-04-05
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Testing https://wiki.ubuntu.com/dedalu-dedalu/LG_R590-5700 for the Laptop Testing Team, I found that the Fn+F6 (wireless on/off) hotkey breaks the mac80211 module. Follows the first error from kernel.log:

Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238196] ------------[ cut here ]------------
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238238] WARNING: at /build/buildd/linux-3.2.0/net/mac80211/tx.c:2322 ieee80211_beacon_get_tim+0x4d3/0x4f0 [mac80211]()
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238268] Hardware name: R590-P.BN58P1
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238272] Modules linked in: rfcomm bnep parport_pc ppdev dm_crypt joydev nvidia(P) snd_hda_codec_hdmi arc4 rtl8192se rtlwifi snd_hda_codec_realtek snd_seq_midi snd_hda_intel snd_rawmidi snd_hda_codec snd_seq_midi_event snd_hwdep snd_seq snd_pcm snd_seq_device snd_timer uvcvideo videodev i7core_edac mac80211 v4l2_compat_ioctl32 psmouse snd soundcore edac_core serio_raw mxm_wmi btusb snd_page_alloc cfg80211 bluetooth wmi mac_hid lp parport vesafb usbhid hid atl1c video
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238337] Pid: 7545, comm: kworker/0:1 Tainted: P O 3.2.0-21-generic #34-Ubuntu
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238342] Call Trace:
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238345] <IRQ> [<ffffffff8106726f>] warn_slowpath_common+0x7f/0xc0
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238372] [<ffffffff810672ca>] warn_slowpath_null+0x1a/0x20
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238400] [<ffffffffa0165e13>] ieee80211_beacon_get_tim+0x4d3/0x4f0 [mac80211]
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238417] [<ffffffffa00a6338>] ? hci_event_packet+0x1d8/0x2d40 [bluetooth]
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238426] [<ffffffff8103dbb9>] ? default_spin_lock_flags+0x9/0x10
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238439] [<ffffffffa02aa2e0>] _rtl_pci_prepare_bcn_tasklet+0xa0/0x140 [rtlwifi]
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238453] [<ffffffffa009e9b9>] ? hci_rx_task+0x59/0x2a0 [bluetooth]
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238462] [<ffffffff8106e418>] tasklet_action+0x78/0x140
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238469] [<ffffffff8106ea58>] __do_softirq+0xa8/0x210
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238477] [<ffffffff81034cc2>] ? ack_apic_level+0x72/0x190
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238511] [<ffffffff8166686c>] call_softirq+0x1c/0x30
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238519] [<ffffffff81015305>] do_softirq+0x65/0xa0
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238526] [<ffffffff8106ee3e>] irq_exit+0x8e/0xb0
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238533] [<ffffffff81667123>] do_IRQ+0x63/0xe0
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238541] [<ffffffff8165c4ae>] common_interrupt+0x6e/0x6e
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238545] <EOI> [<ffffffff81370e33>] ? acpi_ec_transaction+0xf7/0x177
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238561] [<ffffffff81370fea>] acpi_ec_write+0x40/0x42
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238569] [<ffffffff813710f2>] acpi_ec_space_handler+0x9e/0xfc
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238576] [<ffffffff81371054>] ? acpi_ec_burst_disable+0x3d/0x3d
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238585] [<ffffffff8137a293>] acpi_ev_address_space_dispatch+0x179/0x1c8
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238593] [<ffffffff8137f35b>] acpi_ex_access_region+0x54/0xcf
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238600] [<ffffffff8137f6e0>] acpi_ex_field_datum_io+0xf9/0x17a
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238620] [<ffffffff8137fa13>] acpi_ex_write_with_update_rule+0xb5/0xc2
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238627] [<ffffffff8137f5c5>] acpi_ex_insert_into_field+0x1ef/0x211
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238634] [<ffffffff8137e096>] acpi_ex_write_data_to_field+0x194/0x1c2
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238643] [<ffffffff813901bb>] ? acpi_ut_allocate_object_desc_dbg+0x45/0x7f
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238651] [<ffffffff8138233a>] acpi_ex_store_object_to_node+0xa3/0xe2
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238658] [<ffffffff81382429>] acpi_ex_store+0xb0/0xff
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238664] [<ffffffff81381d03>] acpi_ex_opcode_2A_1T_1R+0x310/0x354
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238672] [<ffffffff81376df8>] acpi_ds_exec_end_op+0xf7/0x3e7
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238678] [<ffffffff81389faa>] ? acpi_ps_get_arguments+0xb0/0x227
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238685] [<ffffffff8138a77f>] acpi_ps_parse_loop+0x2a6/0x30f
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238691] [<ffffffff813898f9>] acpi_ps_parse_aml+0x96/0x275
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238698] [<ffffffff8138af04>] acpi_ps_execute_method+0x1ce/0x276
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238705] [<ffffffff81385f8b>] acpi_ns_evaluate+0xdf/0x1aa
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238713] [<ffffffff8138559d>] acpi_evaluate_object+0xfb/0x1f4
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238719] [<ffffffff8136b40b>] ? acpi_os_execute+0x10/0x12
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238727] [<ffffffff81370ca5>] ? acpi_ec_sync_query+0xb5/0xd3
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238754] [<ffffffff8136b2f4>] ? acpi_os_wait_events_complete+0x23/0x23
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238762] [<ffffffff81370d30>] acpi_ec_run+0x38/0x44
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238768] [<ffffffff8136b31b>] acpi_os_execute_deferred+0x27/0x34
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238777] [<ffffffff81084f5a>] process_one_work+0x11a/0x480
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238784] [<ffffffff81085d04>] worker_thread+0x164/0x370
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238792] [<ffffffff81085ba0>] ? manage_workers.isra.29+0x130/0x130
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238799] [<ffffffff8108a55c>] kthread+0x8c/0xa0
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238806] [<ffffffff81666774>] kernel_thread_helper+0x4/0x10
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238813] [<ffffffff8108a4d0>] ? flush_kthread_worker+0xa0/0xa0
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238820] [<ffffffff81666770>] ? gs_change+0x13/0x13
Apr 5 11:42:00 dedalu-lg kernel: [ 3171.238824] ---[ end trace 4276618da624d922 ]---

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.2.0-21-generic 3.2.0-21.34
ProcVersionSignature: Ubuntu 3.2.0-21.34-generic 3.2.13
Uname: Linux 3.2.0-21-generic x86_64
NonfreeKernelModules: nvidia
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0-0ubuntu4
Architecture: amd64
CheckboxSubmission: 7801270bed73bf50fdc0170f4c4dffa4
CheckboxSystem: c69722ecac764861be52925fa50b4dcc
Date: Thu Apr 5 12:07:38 2012
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=e5f51dcb-c174-4cc1-b10c-aa3397abaddf
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120328)
MachineType: LG Electronics R590-P.BN58P1
ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-21-generic root=UUID=69291abc-7421-440f-aa9d-a3d19611f6bc ro quiet splash vt.handoff=7
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 05/11/2011
dmi.bios.vendor: INSYDE
dmi.bios.version: QL4L3I81
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: Base Board Product Name
dmi.board.vendor: Intel Corp.
dmi.board.version: Base Board Version
dmi.chassis.asset.tag: Chassis Asset Tag
dmi.chassis.type: 1
dmi.chassis.vendor: Chassis Manufacturer
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnINSYDE:bvrQL4L3I81:bd05/11/2011:svnLGElectronics:pnR590-P.BN58P1:pvrTBD:rvnIntelCorp.:rnBaseBoardProductName:rvrBaseBoardVersion:cvnChassisManufacturer:ct1:cvrChassisVersion:
dmi.product.name: R590-P.BN58P1
dmi.product.version: TBD
dmi.sys.vendor: LG Electronics

Hélio Nunes (dedalu-dedalu) wrote :
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu laptop testing tracker.

A list of all reports related to this bug can be found here:
http://laptop.qa.ubuntu.com/qatracker/reports/bugs/974371

tags: added: laptop-testing

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get dist-upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: New → Confirmed
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-22.35
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.4kernel[1] (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the other tags). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-rc1-precise/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: needs-upstream-testing
tags: added: kernel-bug-exists-upstream
removed: needs-upstream-testing
Hélio Nunes (dedalu-dedalu) wrote :

Kern.log after mainline build 3.4.0-030400rc1-generic #201203312035 tests. Search '11:28:18'. Looks the same.

Joseph Salisbury (jsalisbury) wrote :

This issue appears to be an upstream bug, since you tested the latest upstream kernel. Would it be possible for you to open an upstream bug report at bugzilla.kernel.org [1]? That will allow the upstream Developers to examine the issue, and may provide a quicker resolution to the bug.

If you are comfortable with opening a bug upstream, It would be great if you can report back the upstream bug number in this bug report. That will allow us to link this bug to the upstream report.

[1] https://wiki.ubuntu.com/Bugs/Upstream/kernel

Changed in linux (Ubuntu):
status: Incomplete → Triaged
Brad Figg (brad-figg) on 2012-04-11
tags: added: kernel-wifi
Changed in linux (Ubuntu):
status: Triaged → Confirmed

Hélio Nunes, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

tags: added: latest-bios-ql4l3i81
removed: kernel-request-3.2.0-22.35
tags: added: needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.